Megha Megha - 1 year ago 67
iOS Question

Error: "Could not find 'cocoapods'" while installing a Pod

I tried to use

pod install
in my project to implement SDK but it throws this error:


/Library/Ruby/Site/2.0.0/rubygems/dependency.rb:318:in 'to_specs': Could not find 'cocoapods' (>= 0.a) among 35 total gem(s) (Gem::LoadError)
Checked in 'GEM_PATH=/Users/admin/.gem/ruby/2.0.0:/Library/Ruby/Gems/2.0.0:/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/gems/2.0.0', execute
gem env
for more information
from /Library/Ruby/Site/2.0.0/rubygems/dependency.rb:327:in 'to_spec'
from /Library/Ruby/Site/2.0.0/rubygems/core_ext/kernel_gem.rb:64:in 'gem'
from /usr/local/bin/pod:22:in `'


Does anyone knows what causes and how to fix it?

Answer Source

First of all Uninstall CocoaPods using sudo command.

Follow below steps :

  1. sudo gem uninstall cocoapods
  2. gem install cocoapods
  3. pod install

When you install again then do not use sudo command. You can find for sudo less installation from here.

Recommended from our users: Dynamic Network Monitoring from WhatsUp Gold from IPSwitch. Free Download